/*
*
* AMX Mod X Script
* cheer v 0.3a
* (c) Copyrgight 2008, Radiance
* This file is provided as is (no warranties)
*
*/

#include <amxmodx>
#include <amxmisc>

new sprite, accessCvar

public plugin_init()
{
	register_plugin("cheer", "0.a", "Radiance")
	register_clcmd("+cheer", "cmdCheer1")
	register_clcmd("-cheer", "cmdCheer0")
	accessCvar = register_cvar("cheer_access", "0")
}

public plugin_precache()
{
	sprite = precache_model("sprites/smile.spr")
	precache_sound("misc/woohoo2.wav")
}

public cmdCheer1(id)
{
	if(!is_user_alive(id))
		return PLUGIN_HANDLED
	switch(get_pcvar_num(accessCvar))
	{
		case 0 : set_cheer(id)
		case 1 :
		{
			if(!access(id, ADMIN_CHAT))
				return PLUGIN_HANDLED
			set_cheer(id)
		}
	}
	return PLUGIN_HANDLED
}

public cmdCheer0(id)
{
	rem_cheer(id)
	return PLUGIN_HANDLED
}

stock rem_cheer(id)
{
	message_begin(MSG_ALL, SVC_TEMPENTITY)
     	write_byte(125)
     	write_byte(id)
     	message_end()
}

stock set_cheer(id)
{
	message_begin(MSG_ALL, SVC_TEMPENTITY)
	write_byte(124)
	write_byte(id)
	write_coord(35)
	write_short(sprite)
	write_short(100)
	message_end()
	emit_sound(id, CHAN_VOICE, "misc/woohoo2.wav", 1.0, ATTN_NORM, 0, PITCH_NORM)
}